Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.aspectj.lang.reflect
Enum PerClauseKind

    java.lang.Object
      java.lang.Enum<PerClauseKind>
          org.aspectj.lang.reflect.PerClauseKind

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PerClauseKind>

    public enum PerClauseKind

extends java.lang.Enum<PerClauseKind>

The different per-clauses (aspect instantiation models) supported by AspectJ

Enum Constant Summary
`PERCFLOW`
`PERCFLOWBELOW`
`PERTARGET`
`PERTHIS`
`PERTYPEWITHIN`
`SINGLETON`

Method Summary
`static PerClauseKind` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PerClauseKind[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SINGLETON

    public static final PerClauseKind SINGLETON

### PERTHIS

    public static final PerClauseKind PERTHIS

### PERTARGET

    public static final PerClauseKind PERTARGET

### PERCFLOW

    public static final PerClauseKind PERCFLOW

### PERCFLOWBELOW

    public static final PerClauseKind PERCFLOWBELOW

### PERTYPEWITHIN

    public static final PerClauseKind PERTYPEWITHIN

Method Detail

### values

    public static final PerClauseKind[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(PerClauseKind c : PerClauseKind.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static PerClauseKind valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD